Passaggio a OpenSearch per Adobe Commerce su Cloud 2.4.4

Adobe Commerce su infrastruttura cloud 2.4.4 non supporterà le versioni di Elasticsearch successive alla versione 7.10. Devi prima effettuare l’aggiornamento a Adobe Commerce 2.4.4 e quindi passare immediatamente da Elasticsearch a OpenSearch 1.2.x. Adobe fornirà istruzioni dettagliate più vicine alla versione Adobe Commerce 2.4.4 GA.

NOTE
Lo switch deve essere eseguito indipendentemente dal provider cloud.

Adobe Commerce on-premise aggiunge il supporto per l’Elasticsearch 7.16 e OpenSearch 1.2 in tutte le versioni di patch di marzo 2022 (2.4.4, 2.4.3-p2 e 2.3.7-p3). Nella versione 2.4.4, Adobe Commerce on cloud infrastructure passerà a OpenSearch come motore di ricerca predefinito, pertanto i commercianti devono utilizzare OpenSearch al posto di Elasticsearch prima di eseguire l’aggiornamento ad Adobe Commerce 2.4.4 o versione successiva. I commercianti con implementazioni on-premise di Adobe Commerce possono utilizzare Elasticsearch o OpenSearch perché Adobe Commerce continuerà a supportare entrambi.

Cos’è OpenSearch?

OpenSearch è un fork di Elasticsearch e Kibana. È gestito da AWS al posto di Elastic.co. Per ulteriori informazioni, consulta GitHub opensearch-project/OpenSearch.

Compatibilità tra le versioni:

Adobe Commerce sull’infrastruttura cloud supporterà l’Elasticsearch 7.10?

- a partire da metà gennaio 2022, le versioni 2.4.3-p1, 2.4.3-p2 e 2.3.7-p3 di Adobe Commerce su infrastrutture cloud supportano l’Elasticsearch 7.10.

Per Adobe Commerce on-premise, si consiglia la versione 7.16.x più recente per mitigare Log4j.

Migrazione:

Quando i commercianti possono migrare a OpenSearch?

Dopo Adobe Commerce 2.4.4.

Prima di iniziare il processo di aggiornamento ad Adobe Commerce 2.4.4, tuttavia, i commercianti devono utilizzare una versione corrente di Adobe Commerce che supporti l’Elasticsearch 7.10 ed essere in Elasticsearch almeno prima di iniziare il processo di aggiornamento a Adobe Commerce 2.4.4 o a OpenSearch.

Cosa possono fare i commercianti (Adobe Commerce su infrastruttura cloud e Adobe Commerce on-premise) che non sono in versione 2.4.4? Possono effettuare l’aggiornamento a una versione supportata di Elasticsearch (7.10, 7.16.1) o a OpenSearch? Per farlo devono utilizzare l’ultima versione supportata (come 2.4.3-p1, 2.3.7-p2, 2.4.3-p1)?

Se la versione di base di Adobe Commerce su supporta l’Elasticsearch 7.10, può essere utilizzata.

Revisione Requisiti di sistema nella documentazione per gli sviluppatori per la compatibilità delle versioni.

NOTE
Si consiglia di pianificare l’aggiornamento a Adobe Commerce 2.4.4 il prima possibile, in quanto l’Elasticsearch 7.10 sarà fine del ciclo di vita a maggio 2022.

I partner Adobi possono iscriversi al nostro programma beta qui per accedere al nostro ultimo codice beta4 che è stato testato rispetto a Elasticsearch 7.16.1 e OpenSearch 1.1.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a